#!/bin/sh
######################################################################
# Backup edir before ID TRANSFER Migration script                    #
#                                        			     #
# Glen Davis                            			     #
######################################################################

## check for root user
 if [ "`id -u`" -ne 0 ];  then 
 	echo "You must be root to run this script!"
	echo ""
 	exit 
  fi 


echo "Start Time"
date







oes2()
	{
# vars for oes2
# this is for backing up defaults of /var/opt/novell/eDirectory/data/dib/ (edir) and /var/opt/novell/nici (nici)
nicisource=/var/opt/novell/nici
edirsource=/var/opt/novell/eDirectory/data/dib
nicidest=/var/opt/novell/nici.bak
edirdest=/var/opt/novell/eDirectory/data/migration_dib.bak
# add more as needed

	}


oes1()
	{

# vars for oes1
# this is for backing up defaults of /var/novell/nici (nici) and /var/nds/dib/ (edir)

nicisource=/var/novell/nici
edirsource=/var/nds/dib
nicidest=/var/novell/nici.bak
edirdest=/var/nds/migration_dib.bak
# add more as needed
}

main() {
	echo "Stopping Edir..."
	rcndsd stop
	echo "This will backup this the server's edirectory and nici files"
	echo "Backing up edir"
	mkdir -p $edirdest/
	cp -Rv $edirsource/* $edirdest
	echo ""
	
	echo "These files are contained in your backup directory $edirdest"
	ls -l $edirdest

	echo ""
	echo "Backing up nici"
	mkdir -p $nicidest/
	cp -Rv $nicisource/* $nicidest	
	echo ""
	echo "These files are contained in your backup nici directory $nicidest"
	echo ""
	ls -l $nicidest
	echo ""
	echo ""
	
	echo "Starting up Edir"
	rcndsd start
	wait 1
	ndsstat
	echo ""
	echo "NICI and EDIR files are backed up to $nicidest and $edirdest"
	echo "Finished"
	echo ""
	}




checkspace() {
echo ""
echo "FREE SPACE CHECK"
echo ""
echo "***************************************************"
echo ""
echo -n "Free space needed for NICI in $nicidest is "
du -sh $nicisource | awk -F " " '{ print $1 }'

echo -n "Free space available in nici backup location is "
df -h $nicidest | grep / | awk '{ print $4 }'


echo ""
echo -n "Free space needed for eDir is "
du -sh $edirsource | awk -F " " '{ print $1 }'
echo -n "Free space available in edir backup location $edirdest is "
df -h $nicidest | grep / | awk '{ print $4 }'
echo ""
echo "***************************************************"
echo "Verify the free space and backup locations above."
echo -n "Proceed to backup edirectory and nici files? [y/n] "
read ANS
echo ""




	if [ $ANS = y ]
	then
	echo "Proceeding with backup..."
	echo ""
	else
	"Exiting...you chose not to proceed with edirectory backup.  If this is due to not having enough free space, correct the problem or change the backup location to a partition with enough free space."
	exit
	fi




#df -h /var/opt | grep / | awk '{ print $4 }'

}





if [ $1 = -oes1 ];  
then 
oes1
checkspace
main
echo "End time"
date
exit 
fi

if [ $1 = -oes2 ];  
then 
oes2
checkspace
main
echo "End time"
date
exit 
fi


echo "NO ARGUMENT or INCORRECT ARGUMENT GIVEN"
echo ""
cat /etc/novell-release
echo "Run this with -oes1 or -oes2 arguments depending on the version of your system.  IE. edirbackup.sh -oes2"

