#!/bin/sh
#
#Copyright (c) 2015, Novell, Inc.  All rights reserved.
#This script is executed from miggui to update the lum with current common proxy credentials during Transfer ID. This updatation is needed because during LUM reconfiguration,
#the common proxy credentials of LUM will be lost.
#THIS SCRIPT MUST NOT BE EXECUTED MANUALLY.
#updateLUMwithCP.sh

PROXY_LOGFILE=/var/opt/novell/log/proxymgmt/pxymgmt.log
PROXY_UTIL="/opt/novell/proxymgmt/bin"

user_id=`id -u`
if test $user_id -ne 0
then 
	echo "LUM: Error: updateLUMwithCP.sh : Only root user can run this script" >> $PROXY_LOGFILE
	exit 1
fi

if test $# -ne 0
then
	echo "Usage: No arguments are required"
	exit 1
fi
#Retrieve current proxy credentials from CASA. If not present, common proxy is not in use. Nothing needs to be done
OLDCP_DN=`$PROXY_UTIL/cp_retrieve_proxy_cred username`
CASA_READUSR_RES=$?
echo "Inside updateLUMwithCP.sh script OLDCP_DN is: $OLDCP_DN" >> $PROXY_LOGFILE
if [ $CASA_READUSR_RES -ne 0 ]
then
        echo "Common Proxy not configured on the system. Could not retrieve common proxy DN from CASA and update the LUM. Nothing needs to be done: $CASA_READUSR_RES" >> $PROXY_LOGFILE
        echo "Common Proxy not configured on the system. Could not retrieve common proxy DN from CASA and update the LUM. Nothing needs to be done: $CASA_READUSR_RES" 
        exit $CASA_READUSR_RES
fi

OLDCP_PWD=`$PROXY_UTIL/cp_retrieve_proxy_cred password`
export OES_LUM_DATA="$OLDCP_PWD"

sh /var/lib/novell-lum/lum_update_proxy_cred.sh "$OLDCP_DN" >> /dev/null 2>&1
STORE_IN_CASA=$?
if test $STORE_IN_CASA == 0
then
	echo "[Status] Common proxy credentials got stored in LUM CASA store successfully" >> $PROXY_LOGFILE
else
	echo "[Error] Unable to store the common proxy credentials into LUM CASA" >> $PROXY_LOGFILE
	echo " Unable to move LUM Service to common proxy. Check $PROXY_LOGFILE for more details " 
fi
unset OES_LUM_DATA
