#!/bin/sh
# Copyright (C) [2007-2008] Novell, Inc.  All Rights Reserved.

# THIS WORK IS SUBJECT TO U.S. AND INTERNATIONAL COPYRIGHT LAWS AND TREATIES.
# IT MAY NOT BE USED, COPIED, DISTRIBUTED, DISCLOSED, ADAPTED, PERFORMED,
# DISPLAYED, COLLECTED, COMPILED, OR LINKED WITHOUT NOVELL'S PRIOR WRITTEN
# CONSENT.  USE OR EXPLOITATION OF THIS WORK WITHOUT AUTHORIZATION COULD
# SUBJECT THE PERPETRATOR TO CRIMINAL AND CIVIL LIABILITY.

# NOVELL PROVIDES THE WORK "AS IS," WITHOUT ANY EXPRESS OR IMPLIED WARRANTY,
# INCLUDING WITHOUT THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
# PARTICULAR PURPOSE, AND NON-INFRINGEMENT. NOVELL, THE AUTHORS OF THE WORK,
# AND THE OWNERS OF COPYRIGHT IN THE WORK ARE NOT LIABLE FOR ANY CLAIM, DAMAGES,
# OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT, OR OTHERWISE,
# ARISING FROM, OUT OF, OR IN CONNECTION WITH THE WORK OR THE USE OR OTHER
# DEALINGS IN THE WORK.

#this script changes the host name in /etc/hostname and /etc/hosts/

#usage hostname-change.sh <old name> <new name>
usage()
{
	echo "Information: Usage ->  $0 <old name> <new name>"
	exit -1
}

args=$@
oldName=$1
newName=$2
total=`echo $args | awk 'END { print NF }'`

## check for root user
if [ "`id -u`" -ne 0 ]
then
	echo "Fatal: You must be root to run this script"
	exit -1
fi

if [ $total -ne 2 ]
then
        echo "Fatal: Incorrect usage"
        usage
        exit -1
fi

# Fix for BugZilla#757319. Ignore case when searching host name
#change /etc/hostname
if [ -f /etc/hostname ]
then
	echo "Information: Changing /etc/hostname"
	sed -i.orig "s/$oldName/$newName/ig" /etc/hostname
else
	echo "Warning: /etc/hostname not found"
	exit -1
fi

#change /etc/hosts
if [ -f /etc/hosts ]
then
	echo "Information: Changing /etc/hosts"
	sed -i.orig "s/$oldName/$newName/ig" /etc/hosts
else
	echo "Warning: /etc/hosts not found"
fi
