#!/bin/sh
# Copyright (C) [2007-2008] Novell, Inc.  All Rights Reserved.

# THIS WORK IS SUBJECT TO U.S. AND INTERNATIONAL COPYRIGHT LAWS AND TREATIES.
# IT MAY NOT BE USED, COPIED, DISTRIBUTED, DISCLOSED, ADAPTED, PERFORMED,
# DISPLAYED, COLLECTED, COMPILED, OR LINKED WITHOUT NOVELL'S PRIOR WRITTEN
# CONSENT.  USE OR EXPLOITATION OF THIS WORK WITHOUT AUTHORIZATION COULD
# SUBJECT THE PERPETRATOR TO CRIMINAL AND CIVIL LIABILITY.

# NOVELL PROVIDES THE WORK "AS IS," WITHOUT ANY EXPRESS OR IMPLIED WARRANTY,
# INCLUDING WITHOUT THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
# PARTICULAR PURPOSE, AND NON-INFRINGEMENT. NOVELL, THE AUTHORS OF THE WORK,
# AND THE OWNERS OF COPYRIGHT IN THE WORK ARE NOT LIABLE FOR ANY CLAIM, DAMAGES,
# OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT, OR OTHERWISE,
# ARISING FROM, OUT OF, OR IN CONNECTION WITH THE WORK OR THE USE OR OTHER
# DEALINGS IN THE WORK.
#IP address change script for ncs
#
#Usage: ncsipchange.sh <old IP> <new IP> <old master IP> <new master IP>

usage()
{
	echo "Information: Usage ->  $0 <old IP> <new IP> <old master ip> <new master ip>"
	echo "Information: The master ip is the IP address of the Master of the edirectory tree."
	exit -1
}

args=$@
oldip=$1
newip=$2
oldmasterip=$3
newmasterip=$4
total=`echo $args | awk 'END { print NF }'`

## check for root user
if [ "`id -u`" -ne 0 ]
then
	echo "Fatal: You must be root to run this script"
	exit -1
fi

if [ $total -ne 4 ]
then
	echo "Fatal: Incorrect usage"
	usage
	exit -1
fi

# change /etc/sysconfig/novell/ncs
if [ -f /etc/sysconfig/novell/ncs ]
then
	echo "Information: Changing /etc/sysconfig/novell/ncs file"
	sed -i.orig "s/$oldip/$newip/g" /etc/sysconfig/novell/ncs
	sed -i "s/$oldmasterip/$newmasterip/g" /etc/sysconfig/novell/ncs
else
	echo "Warning: ncs configuration not found, this product may not be installed."
fi
exit 0
