#!/bin/sh
# Copyright (C) [2007-2008] Novell, Inc.  All Rights Reserved.

# THIS WORK IS SUBJECT TO U.S. AND INTERNATIONAL COPYRIGHT LAWS AND TREATIES.
# IT MAY NOT BE USED, COPIED, DISTRIBUTED, DISCLOSED, ADAPTED, PERFORMED,
# DISPLAYED, COLLECTED, COMPILED, OR LINKED WITHOUT NOVELL'S PRIOR WRITTEN
# CONSENT.  USE OR EXPLOITATION OF THIS WORK WITHOUT AUTHORIZATION COULD
# SUBJECT THE PERPETRATOR TO CRIMINAL AND CIVIL LIABILITY.

# NOVELL PROVIDES THE WORK "AS IS," WITHOUT ANY EXPRESS OR IMPLIED WARRANTY,
# INCLUDING WITHOUT THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
# PARTICULAR PURPOSE, AND NON-INFRINGEMENT. NOVELL, THE AUTHORS OF THE WORK,
# AND THE OWNERS OF COPYRIGHT IN THE WORK ARE NOT LIABLE FOR ANY CLAIM, DAMAGES,
# OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT, OR OTHERWISE,
# ARISING FROM, OUT OF, OR IN CONNECTION WITH THE WORK OR THE USE OR OTHER
# DEALINGS IN THE WORK.
#IP address change script for eDir
#
#Usage: ndsipchange.sh <old IP> <new IP> <old master IP> <new master IP>

usage()
{
	echo "Information: Usage ->  $0 <old IP> <new IP> <old master ip> <new master ip>"
	echo "Information: The master ip is the IP address of the Master of the edirectory tree."
	exit -1
}

args=$@
oldip=$1
newip=$2
oldmasterip=$3
newmasterip=$4
total=`echo $args | awk 'END { print NF }'`

## check for root user
if [ "`id -u`" -ne 0 ]
then
	echo "Fatal: You must be root to run this script"
	exit -1
fi

if [ $total -ne 4 ]
then
	echo "Fatal: Incorrect usage"
	usage
	exit -1
fi

# change /etc/opt/novell/eDirectory/conf/nds.conf
if [ -f /etc/opt/novell/eDirectory/conf/nds.conf ]
then
	echo "Information: Changing nds.conf file"
	sed -i.orig "s/$oldip/$newip/g" /etc/opt/novell/eDirectory/conf/nds.conf
else
	echo "Fatal: /etc/opt/novell/eDirectory/conf/nds.conf does not exists."
	exit -1
fi

# change /etc/sysconfig/novell/ldap_servers/$oldmasterip to $newmasterip
if [ $oldmasterip != $newmasterip ]
then
	if [ -f /etc/sysconfig/novell/ldap_servers/$oldmasterip ] 
	then
		echo "Information: Changing and renaming /etc/sysconfig/novell/ldap_servers/$oldmasterip"
		mv /etc/sysconfig/novell/ldap_servers/$oldmasterip /etc/sysconfig/novell/ldap_servers/$newmasterip
		sed -i "s/$oldmasterip/$newmasterip/g" /etc/sysconfig/novell/ldap_servers/$newmasterip
	fi
fi

# change /etc/sysconfig/novell/ldap_servers/$oldip to $newip
if [ -f /etc/sysconfig/novell/ldap_servers/$oldip ] 
then
	echo "Information: Changing and renaming /etc/sysconfig/novell/ldap_servers/$oldip"
	mv /etc/sysconfig/novell/ldap_servers/$oldip /etc/sysconfig/novell/ldap_servers/$newip
	sed -i "s/$oldip/$newip/g" /etc/sysconfig/novell/ldap_servers/$newip
fi

exit 0

